/*-
 * ~~~~~~licensing~~~~~~
 * connection-management
 * ==========
 * Copyright (C) 2020 - 2025 EmDev LLC
 * ==========
 * You may not use this file except in accordance with the License Terms of the Copyright
 * Holder located at: https://entaxy.ru/eula . All copyrights, all intellectual property
 * rights to the Software and any copies are the property of the Copyright Holder. Unless
 * it is explicitly allowed the Copyright Holder, the User is prohibited from using the
 * Software for commercial purposes to provide services to third parties.
 * 
 * The Copyright Holder hereby declares that the Software is provided on an "AS IS".
 * Under no circumstances does the Copyright Holder guarantee or promise that the
 * Software provided by him will be suitable or not suitable for the specific purposes
 * of the User, that the Software will meet all commercial and personal subjective
 * expectations of the User, that the Software will work properly, without technical
 * errors, quickly and uninterruptedly.
 * 
 * Under no circumstances shall the Copyright Holder or its Affiliates is not liable
 * to the User for any direct or indirect losses of the User, his expenses or actual
 * damage, including, downtime; loss of bussines; lost profit; lost earnings; loss
 * or damage to data, property, etc.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.platform.core.management.connection.to_remove.impl;

public class ManagedConnection {
	
	protected String name;
	protected boolean isPlatform;
	protected boolean isLocal;
	protected boolean isShared;
	protected long bundleId;
	protected boolean isDeployed;
	protected String label;
	
	public String getName() {
		return name;
	}
	public boolean isPlatform() {
		return isPlatform;
	}
	public boolean isLocal() {
		return isLocal;
	}
	public boolean isShared() {
		return isShared;
	}
	public long getBundleId() {
		return bundleId;
	}
	public boolean isDeployed() {
		return isDeployed;
	}
	public String getLabel() {
		return label;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	public void setPlatform(boolean isPlatform) {
		this.isPlatform = isPlatform;
	}
	public void setLocal(boolean isLocal) {
		this.isLocal = isLocal;
	}
	public void setShared(boolean isShared) {
		this.isShared = isShared;
	}
	public void setBundleId(long bundleId) {
		this.bundleId = bundleId;
	}
	public void setDeployed(boolean isDeployed) {
		this.isDeployed = isDeployed;
	}
	public void setLabel(String label) {
		this.label = label;
	}
	
	public ManagedConnection name(String name) {
		setName(name);
		return this;
	}
	
	public ManagedConnection platform(boolean isPlatform) {
		setPlatform(isPlatform);
		return this;
	}
	
	public ManagedConnection local(boolean isLocal) {
		setLocal(isLocal);
		return this;
	}

	public ManagedConnection shared(boolean isShared) {
		setShared(isShared);
		return this;
	}
	
	public ManagedConnection bundleId(long bundleId) {
		setBundleId(bundleId);
		return this;
	}
	
	public ManagedConnection deployed(boolean deployed) {
		setDeployed(deployed);
		return this;
	}

	public ManagedConnection label(String label) {
		setLabel(label);
		return this;
	}
}
